Summary:	Python bindings for Network Security Services (NSS)
Name:		python-nss
Version:	0.16.0
Release:	2
License:	MPLv2.0 or GPLv2+ or LGPLv2+
Group:		Development/Python
Url:		ftp://ftp.mozilla.org/pub/mozilla.org/security/python-nss
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/security/python-nss/releases/PYNSS_RELEASE_0_16_0/src/python-nss-%{version}.tar.bz2
Patch0:		python-nss-0.16.0-linkage.patch
Patch1:		nss-version.patch
Patch2:		python-nss-file-like-read.patch
Patch3:		python-nss-test-fips.patch
Patch4:		python-nss-set_certificate_db.patch
Patch5:		python-nss-doc-manifest.patch
BuildRequires:	python-docutils
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(python)

%description
This package provides Python bindings for Network Security Services
(NSS) and the Netscape Portable Runtime (NSPR).

NSS is a set of libraries supporting security-enabled client and
server applications. Applications built with NSS can support SSL v2
and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3
certificates, and other security standards. Specific NSS
implementations have been FIPS-140 certified.

%files
%doc %{_defaultdocdir}/ChangeLog
%doc %{_defaultdocdir}/LICENSE.gpl
%doc %{_defaultdocdir}/LICENSE.lgpl
%doc %{_defaultdocdir}/LICENSE.mpl
%doc %{_defaultdocdir}/README
%{python_sitearch}/nss/*.py
%{python_sitearch}/nss/*.so
%{python_sitearch}/python_nss-%{version}-py%{py_ver}.egg-info

#----------------------------------------------------------------------------

%package doc
Summary:	API documentation and examples for %{name}
Group:		Documentation
Requires:	%{name} = %{EVRD}

%description doc
API documentation and examples for %{name}.

%files doc
%doc %{_defaultdocdir}/examples
%doc %{_defaultdocdir}/test

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .linkage
%patch1 -p1 -b .nss-version
%patch2 -p1 -b .file-like
%patch3 -p1 -b .fips-test
%patch4 -p1 -b .set_certificate_db
%patch5 -p1 -b .doc-manifest

%build
CFLAGS="%{optflags} -fno-strict-aliasing" python setup.py build

%install
python setup.py install  -O1 --install-platlib %{python_sitearch} --skip-build --root %{buildroot}
python setup.py install_doc --docdir %{_defaultdocdir} --skip-build --root %{buildroot}

# Remove execution permission from any example/test files in docdir
find %{buildroot}%{_defaultdocdir} -type f | xargs chmod a-x

# Set correct permissions on .so files
chmod 0755 %{buildroot}%{python_sitearch}/nss/*.so


%changelog

* Thu Jun 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.16.0-2
- (0a00e6c) Bump release


